ktab.list.df {ade4} | R Documentation

## Creating a K-tables from a list of data frames.

### Description

creates a list of class `ktab` from a list of data frames

### Usage

    ktab.list.df(obj, rownames = NULL, colnames = NULL, tabnames = NULL,
        w.row = rep(1, nrow(obj[[1]])), w.col = lapply(obj, function(x)
        rep(1 / ncol(x), ncol(x))))

### Arguments

`obj` | a list of data frame
`rownames` | the names of the K-tables rows (otherwise, the row names of the arrays)
`colnames` | the names of the K-tables columns (otherwise, the column names of the arrays)
`tabnames` | the names of the arrays of the K-tables (otherwise, the names of the obj if they exist, or else "Ana1", "Ana2", ...)
`w.row` | a vector of the row weightings in common with all the arrays
`w.col` | a list of the vector of the column weightings for each array

### Details

Each element of the initial list have to possess the same names and row numbers

### Value

returns a list of class `ktab`. See `ktab`

### Author(s)

Daniel Chessel
Anne-Béatrice Dufour anne-beatrice.dufour@univ-lyon1.fr

### Examples

    data(jv73)
    l0 <- split(jv73$morpho, jv73$fac.riv)
    l0 <- lapply(l0, function(x) data.frame(t(scalewt(x))))
    kta <- ktab.list.df(l0)
    kplot(sepan(kta[c(2, 5, 7, 10)]), perm = TRUE)

[Package ade4 version 1.7-13 Index]